Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Class BMPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.bridge.bmp.BMPException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  RowNotFoundException

Deprecated See BEA Commerce product offering

    @Deprecated
    public class BMPException

extends ApplicationException

The BMPException passes implementation specific BMP exceptions through the SmartBMP interface.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`BMPException(Exception string)` Deprecated See BEA Commerce product offering
`BMPException(String string)` Deprecated See BEA Commerce product offering
`BMPException(String namespace, String messageKey, Object[] argument)` Deprecated See BEA Commerce product offering
`BMPException(String namespace, String messageKey, Object[] argument, SQLException sqlException)` Deprecated See BEA Commerce product offering
`BMPException(String namespace, String messageKey, SQLException sqlException)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BMPException

    public BMPException(String string)

  Deprecated See BEA Commerce product offering

### BMPException

    public BMPException(Exception string)

  Deprecated See BEA Commerce product offering

### BMPException

    public BMPException(String namespace,
                        String messageKey,
                        SQLException sqlException)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `sqlException` - The embedded exception.

### BMPException

    public BMPException(String namespace,
                        String messageKey,
                        Object[] argument,
                        SQLException sqlException)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `sqlException` - The embedded exception.

### BMPException

    public BMPException(String namespace,
                        String messageKey,
                        Object[] argument)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved